2 Replies Latest reply on Aug 30, 2012 4:42 PM by yarix

    how to upgrade from Seam embedded - beta3.SP12 ?

    yarix Newbie

      hi,

      I've inherited an old project which runs on Jboss 4.2 with Seam 2.2.CR1, for the testing i see that it uses seam.embeded beta3.SP12...

      <dependency>
      <groupId>org.jboss.seam.embedded</groupId>
      <artifactId>jboss-embedded-all</artifactId>
      <version>beta3.SP12</version>
      <scope>test</scope>
      </dependency>
      <dependency>
      <groupId>org.jboss.seam.embedded</groupId>
      <artifactId>hibernate-all</artifactId>
      <version>beta3.SP12</version>
      <scope>test</scope>
      </dependency>

       

      This project also uses Solr ver 1.4. My task is to upgrade it from 1.4 to the newer version (3.1 or 3.6) - however when i do the upgrade the real Jboss as well as the embedded one refuse to load.

       

      As i read in the forum there is a prbblem is that Hibernate search and Lucene are not compatible in those versions.

       

      I would like to upgrade jboss-embedded-all and hibernate-all to newer version but the latest one i found is beta3.SP15.

      I assume that either i'm not looking on the right place or that jboss have a new approche, w/o using "*-all" jars.

       

      is there an upgraded version (and documents) to the above?

       

      Regards,